Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FoxitPDFSDKPython2.FillSign Class Reference
Inheritance diagram for FoxitPDFSDKPython2.FillSign:

## Public Member Functions
def | FillSign (other)
| Constructor, with another FillSign object. More...
def | AddObject (type, point, width, height, rotation)
| Add a new fill-sign object (except text fill-sign object) to related PDF page (which is used in constructor). More...
def | AddTextObject (text_data, point, width, height, rotation, is_comb_field_mode)
| Add a new text fill-sign object to related PDF page (which is used in constructor). More...
def | GetObjectAtDevicePoint (point, matrix)
| Get a fill-sign object by specified point in device coordinate system. More...
def | GetObjectAtPoint (point)
| Get a fill-sign object by specified point in [PDF coordinate system] (). More...
def | IsEmpty ()
| Check whether current object is empty or not. More...
def | RemoveObject (fillsign_object)
| Remove a specified fill-sign object. More...

## Static Public Attributes
| e_FillSignObjectTypeCheckMark = _fsdk.FillSign_e_FillSignObjectTypeCheckMark
| Check mark fill-sign object.
| e_FillSignObjectTypeCrossMark = _fsdk.FillSign_e_FillSignObjectTypeCrossMark
| Cross mark fill-sign object.
| e_FillSignObjectTypeDot = _fsdk.FillSign_e_FillSignObjectTypeDot
| Dot fill-sign object.
| e_FillSignObjectTypeInitialsSignature = _fsdk.FillSign_e_FillSignObjectTypeInitialsSignature
| Initials signature fill-sign object.
| e_FillSignObjectTypeLine = _fsdk.FillSign_e_FillSignObjectTypeLine
| Line fill-sign object.
| e_FillSignObjectTypeRoundRectangle = _fsdk.FillSign_e_FillSignObjectTypeRoundRectangle
| Round rectangle fill-sign object.
| e_FillSignObjectTypeSignature = _fsdk.FillSign_e_FillSignObjectTypeSignature
| Signature fill-sign object.
| e_FillSignObjectTypeText = _fsdk.FillSign_e_FillSignObjectTypeText
| Text fill-sign object.

## Detailed Description

Fill-sign means to fill some graphics objects to PDF page and sign them. This class is used as a manager for fill-sign objects. User can use this class to add/get/remove fill-sign objects (including cross mark, check mark, dot, line, round rectangle, signature and initials signature) to PDF page.

## Constructor & Destructor Documentation

## ◆ FillSign()

def FoxitPDFSDKPython2.FillSign.FillSign | ( |  | other | ) |

Constructor, with another FillSign object.

Parameters

  [in] | other | Another object.

## Member Function Documentation

## ◆ AddObject()

def FoxitPDFSDKPython2.FillSign.AddObject | ( |  | type,
|  |  | point,
|  |  | width,
|  |  | height,
|  |  | rotation
| ) |  |

Add a new fill-sign object (except text fill-sign object) to related PDF page (which is used in constructor).

This function can be used to add fill-sign object except type FoxitPDFSDKPython2.FillSign.e_FillSignObjectTypeText . If you want to add a fill-sign object with type FoxitPDFSDKPython2.FillSign.e_FillSignObjectTypeText , please call function FoxitPDFSDKPython2.FillSign.AddTextObject instead.

- If to add a fill-sign object with type FoxitPDFSDKPython2.FillSign.e_FillSignObjectTypeCrossMark , FoxitPDFSDKPython2.FillSign.e_FillSignObjectTypeCheckMark , FoxitPDFSDKPython2.FillSign.e_FillSignObjectTypeLine or FoxitPDFSDKPython2.FillSign.e_FillSignObjectTypeDot , the bigger value of input width and height will be used as both width and height for the new fill-sign object.
- If to add a fill-sign object with type FoxitPDFSDKPython2.FillSign.e_FillSignObjectTypeLine , input height is useless and will be ignored.

Parameters

  [in] | type | Fill-sign type which is used to specify what kind of fill-sign object is to be added. Please refer to values starting from FoxitPDFSDKPython2.FillSign.e_FillSignObjectTypeCrossMark and this should be one of these values.
  [in] | point | Left-bottom point for new fill-sign object, in [PDF coordinate system] ().
  [in] | width | Width for new fill-sign object.
  [in] | height | Height for new fill-sign object.
  [in] | rotation | Rotation status information. This rotation value includes the view rotation and page rotation property information. Please refer to values starting from FoxitPDFSDKPython2.e_Rotation0 and this should be one of these values except FoxitPDFSDKPython2.e_RotationUnknown .

Returns
  A new fill-sign object.

## ◆ AddTextObject()

def FoxitPDFSDKPython2.FillSign.AddTextObject | ( |  | text_data,
|  |  | point,
|  |  | width,
|  |  | height,
|  |  | rotation,
|  |  | is_comb_field_mode
| ) |  |

Add a new text fill-sign object to related PDF page (which is used in constructor).

Parameters

  [in] | text_data | A text data array to be set to new text fill-sign object. For each text fill-sign object data, origin_position of member text_state will not be used.
  [in] | point | Left-bottom point for new fill-sign object, in [PDF coordinate system] ().
  [in] | width | Width for new fill-sign object.
  [in] | height | Height for new fill-sign object.
  [in] | rotation | Rotation status information. This rotation value includes the view rotation and page rotation property information. Please refer to values starting from FoxitPDFSDKPython2.e_Rotation0 and this should be one of these values except FoxitPDFSDKPython2.e_RotationUnknown .
  [in] | is_comb_field_mode | A boolean value to decide whether for comb field mode or normal mode: true means to set input text data in comb field mode. For each text fill-sign object data, if charspace of member text_state is 0, default value 6.0f will be used instead. false means to set input text data in normal mode. For each text fill-sign object data, charspace of member text_state will not be used.

Returns
  A new fill-sign object.

## ◆ GetObjectAtDevicePoint()

def FoxitPDFSDKPython2.FillSign.GetObjectAtDevicePoint | ( |  | point,
|  |  | matrix
| ) |  |

Get a fill-sign object by specified point in device coordinate system.

After adding the fill-sign object with type FoxitPDFSDKPython2.FillSign.e_FillSignObjectTypeSignature or FoxitPDFSDKPython2.FillSign.e_FillSignObjectTypeInitialsSignature ,all the existed fill-sign objects which belong to the same PDF document cannot be retrieved.

Parameters

  [in] | point | A specified point in device coordinate system.
  [in] | matrix | A transform matrix from device coordinate system to [PDF coordinate system] ().

Returns
  A fill-sign object.

## ◆ GetObjectAtPoint()

def FoxitPDFSDKPython2.FillSign.GetObjectAtPoint | ( |  | point | ) |

Get a fill-sign object by specified point in [PDF coordinate system] ().

After adding a fill-sign object with type FoxitPDFSDKPython2.FillSign.e_FillSignObjectTypeSignature or FoxitPDFSDKPython2.FillSign.e_FillSignObjectTypeInitialsSignature , all the existed fill-sign objects which belong to the same PDF document cannot be retrieved.

Parameters

  [in] | point | A specified point in [PDF coordinate system] ().

Returns
  A fill-sign object.

## ◆ IsEmpty()

def FoxitPDFSDKPython2.FillSign.IsEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ RemoveObject()

def FoxitPDFSDKPython2.FillSign.RemoveObject | ( |  | fillsign_object | ) |

Remove a specified fill-sign object.

After adding a fill-sign object with type FoxitPDFSDKPython2.FillSign.e_FillSignObjectTypeSignature or FoxitPDFSDKPython2.FillSign.e_FillSignObjectTypeInitialsSignature , all the existed fill-sign objects which belong to the same PDF document cannot be removed. For this case, this function will return false if any existed fill-sign object is to be removed.

Parameters

  [in] | fillsign_object | A fill-sign object to be removed.

Returns
  true means success, while false means failed.